Package io.flutter.embedding.engine.systemchannels

## Class SettingsChannel

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.SettingsChannel

-     public class SettingsChannel
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SettingsChannel.ConfigurationQueue` | A FIFO queue that maintains generations of configurations that are potentially used by the Flutter application.
    `static class` | `SettingsChannel.MessageBuilder` |
    `static class` | `SettingsChannel.PlatformBrightness` | The brightness mode of the host platform.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `BasicMessageChannel<Object>` | `channel` |
    `static String` | `CHANNEL_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SettingsChannel​(DartExecutor dartExecutor)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DisplayMetrics` | `getPastDisplayMetrics​(int configId)` |
    `static boolean` | `hasNonlinearTextScalingSupport()` |
    `SettingsChannel.MessageBuilder` | `startMessage()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHANNEL_NAME

          public static final String CHANNEL_NAME

      See Also:
        Constant Field Values

    - #### channel

          @NonNull
          public final BasicMessageChannel<Object> channel

  - ### Constructor Detail

    - #### SettingsChannel

          public SettingsChannel​(@NonNull
                                 DartExecutor dartExecutor)

  - ### Method Detail

    - #### hasNonlinearTextScalingSupport

          public static boolean hasNonlinearTextScalingSupport()

    - #### getPastDisplayMetrics

          public static DisplayMetrics getPastDisplayMetrics​(int configId)

    - #### startMessage

          @NonNull
          public SettingsChannel.MessageBuilder startMessage()